<template>
  <div class="wrapper" :class="themeClasses">
    <div class="pin-icon"></div>
    <select
      name="topbar-branch-selector"
      @change="switchGroup"
      :value="groupId"
    >
      <option
        v-for="group in groups"
        :key="group.groupId"
        :value="group.groupId"
      >
        {{ $t(`group.${group.groupId}`) }}
      </option>
    </select>
    <div class="selector-value">{{ $t(`group.${groupId}`) }}</div>
    <div class="arrow-icon"></div>
  </div>
</template>

<script>
import { mapState, mapGetters, mapActions } from "vuex";

export default {
  computed: {
    ...mapState("groups", ["groups"]),
    ...mapGetters("theme", ["themeClasses"]),

    groupId() {
      if (this.$route.params.groupId === "nanxifoodmap") return "skm-nanxi";
      return this.$route.params.groupId;
    }
  },

  methods: {
    ...mapActions("group", ["updateFilter"]),

    switchGroup(e) {
      const groupId = e.target.value;
      this.$router.push(`/groups/${groupId}`);
      this.updateFilter({ groupId });
    }
  }
};
</script>

<style lang="scss" scoped>
.wrapper {
  position: relative;
  white-space: nowrap;
  vertical-align: middle;
  padding: 0 15px;
  border: solid 1px $color-silver-grey;
  cursor: pointer;
}

.pin-icon {
  display: inline-block;
  width: 13px;
  height: 18px;
  background-image: url("/static/images/ic-branch.svg");
  background-size: 13px 18px;
  vertical-align: middle;
}

.arrow-icon {
  display: inline-block;
  width: 12px;
  height: 7px;
  background-image: url("/static/images/ic-arrow.svg");
  background-size: 12px 7px;
  vertical-align: middle;
}

.selector {
  display: inline-block;
  white-space: nowrap;
  vertical-align: middle;
}

.wrapper select {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
}

.selector-value {
  display: inline-block;
  vertical-align: middle;
  font-size: 14px;
  margin-left: 15px;
  margin-right: 27px;
  height: 44px;
  line-height: 44px;
}

.wrapper.theme-vip-member {
  border-color: $color-skm-gold;

  .pin-icon {
    background-image: url("/static/images/ic-branch-vip.svg");
  }

  .arrow-icon {
    background-image: url("/static/images/ic-arrow-vip.svg");
  }
}
</style>
